%global dict_dirname hunspell

Name:          hunspell-de
Summary:       German hunspell dictionaries
Version:       20161207
Release:    1%{?dist}

License:       GPL-2.0-only OR GPL-3.0-only
URL:           https://www.j3e.de/ispell/igerman98/
Source0:        https://www.j3e.de/ispell/igerman98/dict/igerman98-%{version}.tar.bz2
BuildArch:     noarch

BuildRequires: make
BuildRequires: aspell
BuildRequires: hunspell
BuildRequires: perl-interpreter

Requires: hunspell-filesystem
Supplements: (hunspell and langpacks-de)

%description
German (Germany, Switzerland, etc.) hunspell dictionaries.

%prep
%autosetup -p1 -n igerman98-%{version}
sed -i -e "s/AFFIX_EXPANDER = ispell/AFFIX_EXPANDER = aspell/g" Makefile

%build
LC_ALL=C make hunspell/de_AT.dic hunspell/de_AT.aff \
     hunspell/de_CH.dic hunspell/de_CH.aff \
     hunspell/de_DE.dic hunspell/de_DE.aff
cd hunspell
for i in README_*.txt; do
  if ! iconv -f utf-8 -t utf-8 -o /dev/null $i > /dev/null 2>&1; then
    iconv -f ISO-8859-1 -t UTF-8 $i > $i.new
    touch -r $i $i.new
    mv -f $i.new $i
  fi
  tr -d '\r' < $i > $i.new
  touch -r $i $i.new
  mv -f $i.new $i
done

%install
mkdir -p %{buildroot}%{_datadir}/%{dict_dirname}
cd hunspell
cp -p de_??.dic de_??.aff %{buildroot}%{_datadir}/%{dict_dirname}

pushd %{buildroot}%{_datadir}/%{dict_dirname}/
de_DE_aliases="de_BE de_LU"
for lang in $de_DE_aliases; do
	ln -s de_DE.aff $lang.aff
	ln -s de_DE.dic $lang.dic
done
de_CH_aliases="de_LI"
for lang in $de_CH_aliases; do
	ln -s de_CH.aff $lang.aff
	ln -s de_CH.dic $lang.dic
done
popd


%files
%doc hunspell/README_de_??.txt
%license hunspell/COPYING_GPLv2 hunspell/COPYING_GPLv3 hunspell/Copyright
%{_datadir}/%{dict_dirname}/*

%changelog
* Mon Nov 11 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 20161207-1
- initial build
